

#ifndef TEST_H
#define TEST_H

/*
 * Include some necessary headers.
 */
/* Definition of the CCI_Controller class. */
#include <argos2/common/control_interface/ci_controller.h>
/* Definition of the foot-bot wheel actuator */
#include <argos2/common/control_interface/swarmanoid/footbot/ci_footbot_wheels_actuator.h>



using namespace argos;


class test: public CCI_Controller {

public:

   /* Class constructor. */
   test();

   /* Class destructor. */
   virtual ~test() {}


   virtual void Init(TConfigurationNode& t_node);
   virtual void ControlStep();
   virtual void Reset();
   virtual void Destroy() {}

private:

   /* Pointer to the foot-bot wheels actuator */
   CCI_FootBotWheelsActuator*  m_pcWheels;

   unsigned long int timeStamp;

   Real m_fWheelVelocity;

};

#endif
