/* Include the controller definition */
#include "test.h"
/* Function definitions for XML parsing */
#include <argos2/common/utility/configuration/argos_configuration.h>
/* 2D vector definition */
#include <argos2/common/utility/math/vector2.h>
/* logging */
#include <argos2/common/utility/logging/argos_log.h>


/****************************************/
/****************************************/

test::test() :
   m_pcWheels(NULL),
   m_fWheelVelocity(5.0f),
   timeStamp(0) {}




/****************************************/
/****************************************/

void test::Init(TConfigurationNode& t_node)
 {

   m_pcWheels    = dynamic_cast<CCI_FootBotWheelsActuator* >(GetRobot().GetActuator("footbot_wheels"   ));

}

void test::Reset()
 {

   timeStamp = 0;

}

/****************************************/
/****************************************/

void test::ControlStep() {

timeStamp++;

if(timeStamp <= 315)
 m_pcWheels->SetLinearVelocity(m_fWheelVelocity, m_fWheelVelocity);
else m_pcWheels->SetLinearVelocity(0, 0);

}


 
REGISTER_CONTROLLER(test, "test")
